OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaCurveSectionGeometricRelationship Class Reference

Representation of STEP entity FeaCurveSectionGeometricRelationship
.

`#include <StepFEA_FeaCurveSectionGeometricRelationship.hxx>`

## Public Member Functions
Standard_EXPORT | StepFEA_FeaCurveSectionGeometricRelationship ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepElement_CurveElementSectionDefinition)&aSectionRef, const Handle(StepElement_AnalysisItemWithinRepresentation)&aItem)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepElement_CurveElementSectionDefinition | SectionRef () const
| Returns field SectionRef .
Standard_EXPORT void | SetSectionRef (const Handle(StepElement_CurveElementSectionDefinition)&SectionRef)
| Set field SectionRef .
Standard_EXPORT Handle_StepElement_AnalysisItemWithinRepresentation | Item () const
| Returns field Item .
Standard_EXPORT void | SetItem (const Handle(StepElement_AnalysisItemWithinRepresentation)&Item)
| Set field Item .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepElement_CurveElementSectionDefinition | theSectionRef
Handle_StepElement_AnalysisItemWithinRepresentation | theItem

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaCurveSectionGeometricRelationship::StepFEA_FeaCurveSectionGeometricRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_FeaCurveSectionGeometricRelationship::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_FeaCurveSectionGeometricRelationship::Init | ( | const Handle(StepElement_CurveElementSectionDefinition)& | aSectionRef,
|  | const Handle(StepElement_AnalysisItemWithinRepresentation)& | aItem
| ) |

Standard_EXPORT Handle_StepElement_AnalysisItemWithinRepresentation StepFEA_FeaCurveSectionGeometricRelationship::Item | ( |  | ) | const

Standard_EXPORT Handle_StepElement_CurveElementSectionDefinition StepFEA_FeaCurveSectionGeometricRelationship::SectionRef | ( |  | ) | const

Standard_EXPORT void StepFEA_FeaCurveSectionGeometricRelationship::SetItem | ( | const Handle(StepElement_AnalysisItemWithinRepresentation)& | Item | ) |

Standard_EXPORT void StepFEA_FeaCurveSectionGeometricRelationship::SetSectionRef | ( | const Handle(StepElement_CurveElementSectionDefinition)& | SectionRef | ) |

## Field Documentation

Handle_StepElement_AnalysisItemWithinRepresentation StepFEA_FeaCurveSectionGeometricRelationship::theItem`[private]`

Handle_StepElement_CurveElementSectionDefinition StepFEA_FeaCurveSectionGeometricRelationship::theSectionRef`[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaCurveSectionGeometricRelationship.hxx